Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtPasswordView

    java.lang.Object
      javax.swing.text.View
          javax.swing.text.PlainView
              javax.swing.text.FieldView
                  javax.swing.text.PasswordView
                      com.jgoodies.looks.common.ExtPasswordView

All Implemented Interfaces:
  SwingConstants, TabExpander

    public final class ExtPasswordView

extends PasswordView

Differs from its superclass in that it uses the UIManager's echo char, not a star ("*"). Used in Java 1.4 and Java 5 only.

Version:
  $Revision: 1.6 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.text.PlainView
`metrics`

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`ExtPasswordView(Element element)`

Method Summary
`protected int` | `drawEchoCharacter(Graphics g, int x, int y, char c)` Overrides the superclass behavior to draw the Windows dot, not the star ("*") character.
`float` | `getPreferredSpan(int axis)`
`Shape` | `modelToView(int pos, Shape a, Position.Bias b)`
`int` | `viewToModel(float fx, float fy, Shape a, Position.Bias[] bias)`

Methods inherited from class javax.swing.text.PasswordView
`drawSelectedText, drawUnselectedText`

Methods inherited from class javax.swing.text.FieldView
`adjustAllocation, getFontMetrics, getResizeWeight, insertUpdate, paint, removeUpdate`

Methods inherited from class javax.swing.text.PlainView
`changedUpdate, damageLineRange, drawLine, getLineBuffer, getTabSize, lineToRect, nextTabStop, setSize, updateDamage, updateMetrics`

Methods inherited from class javax.swing.text.View
`append, breakView, createFragment, forwardUpdate, forwardUpdateToView, getAlignment, getAttributes, getBreakWeight, getChildAllocation, getContainer, getDocument, getElement, getEndOffset, getGraphics, getMaximumSpan, getMinimumSpan, getNextVisualPositionFrom, getParent, getStartOffset, getToolTipText, getView, getViewCount, getViewFactory, getViewIndex, getViewIndex, insert, isVisible, modelToView, modelToView, preferenceChanged, remove, removeAll, replace, setParent, updateChildren, updateLayout, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtPasswordView

    public ExtPasswordView(Element element)

Method Detail

### getPreferredSpan

    public float getPreferredSpan(int axis)

  Overrides:
    `getPreferredSpan` in class `PasswordView`

### modelToView

    public Shape modelToView(int pos,
                             Shape a,
                             Position.Bias b)
                      throws BadLocationException

  Overrides:
    `modelToView` in class `PasswordView`
  Throws:
    `BadLocationException`

### viewToModel

    public int viewToModel(float fx,
                           float fy,
                           Shape a,
                           Position.Bias[] bias)

  Overrides:
    `viewToModel` in class `PasswordView`

### drawEchoCharacter

    protected int drawEchoCharacter(Graphics g,
                                    int x,
                                    int y,
                                    char c)

  Overrides the superclass behavior to draw the Windows dot, not the star ("*") character.

  Overrides:
    `drawEchoCharacter` in class `PasswordView`
  Parameters:
    `g` - the graphics context
    `x` - the starting X coordinate >= 0
    `y` - the starting Y coordinate >= 0
    `c` - the echo character
  Returns:
    the updated X position >= 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.